org.apache.hadoop.mapreduce.lib.join

## Class ComposableRecordReader<K extends org.apache.hadoop.io.WritableComparable<?>,V extends org.apache.hadoop.io.Writable>

- java.lang.Object
- - org.apache.hadoop.mapreduce.RecordReader<K,V>
  - - org.apache.hadoop.mapreduce.lib.join.ComposableRecordReader<K,V>

- All Implemented Interfaces:
    Closeable, AutoCloseable, Comparable<ComposableRecordReader<K,?>>
  Direct Known Subclasses:
    CompositeRecordReader, WrappedRecordReader

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class ComposableRecordReader<K extends org.apache.hadoop.io.WritableComparable<?>,V extends org.apache.hadoop.io.Writable>
      extends RecordReader<K,V>
      implements Comparable<ComposableRecordReader<K,?>>

  Additional operations required of a RecordReader to participate in a join.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComposableRecordReader()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.mapreduce.RecordReader

      `close, getCurrentKey, getCurrentValue, getProgress, initialize, nextKeyValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### ComposableRecordReader

          public ComposableRecordReader()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.